function [ReferenceConstraint,SampleConstraint]=Constraints(n,m)
%   function [ReferenceConstraint,SampleConstraint]=Constraints(n,m)
%
%   Purpose:
%   Apply contraints to limit feasible warping paths.
%   
%   ==========================================================================
%   Copyright 2005 Biosystems Data Analysis Group ; Universiteit van Amsterdam
%   ==========================================================================
%
% n = size reference
% m = size sample

a=max([n m]);
b=min([n m]);

if (a-b) < b
    
    ExtraSpace = b - (a - b);
    
    Constraint1 = a - b + round( 0.15 * ExtraSpace );
    Constraint2 = a - b + round( 0.15 * ExtraSpace );
    
    %disp('no problemos')
    
elseif (a-b) > b
    
    Constraint1 = a - b;
    Constraint2 = b;
    
end

    
if a == b
    
    ReferenceConstraint=0.15 * a;
    SampleConstraint=0.15 * a;
    
elseif n > m

    ReferenceConstraint=Constraint1;
    SampleConstraint=Constraint2;
    
elseif m > n
    
    ReferenceConstraint=Constraint2;
    SampleConstraint=Constraint1;

end
