function WarpPlotting(OptimalPath,Sample,Reference,ReferenceConstraint,SampleConstraint,PlotOption)
%   ==========================================================================
%   Copyright 2005 Biosystems Data Analysis Group ; Universiteit van Amsterdam
%   ==========================================================================



CommonTimeAxis=[1:1:length(OptimalPath)];
SampleTimeAxis=[1:1:length(Sample)];
ReferenceTimeAxis=[1:1:length(Reference)];

OptimalPath=(fliplr(OptimalPath'))';


% Common time Axis for symmetric DTW algorithm
[warp1] = (Reference(OptimalPath(:,1),:));
[warp2] = (Sample(OptimalPath(:,2),:));


figure
plot(OptimalPath(:,2),OptimalPath(:,1),'b','linewidth',2)
xlabel('Sample time axis','Fontsize',12,'Fontweight','bold');ylabel('Reference time axis','Fontsize',12,'Fontweight','bold');
Title('Optimal path trough the grid');
hold on
plot(1,1,'o')
plot(length(Sample),length(Reference),'o');


XSample = [ 0 : 1 : length(Sample)]
YSample = XSample - SampleConstraint
XReference = [ 0 : 1 : length(Reference)]
YReference = XReference + ReferenceConstraint
axis([1 length(Sample) 1 length(Reference)])
grid on

plot(XSample,YSample,'k','linewidth',2)
plot(XReference,YReference,'k','linewidth',2)


if PlotOption==1
    
figure

subplot(121)
plot(SampleTimeAxis,Sample,':',ReferenceTimeAxis,Reference)
xlabel('Time','Fontsize',12,'Fontweight','bold');ylabel('[ - ]','Fontsize',12,'Fontweight','bold');
title('Profiles of unequal length','Fontsize',12,'Fontweight','bold');
legend('Sample','Reference',4);

subplot(122)
plot(CommonTimeAxis,warp2,':',CommonTimeAxis,warp1)
xlabel('common time axis','Fontsize',12,'Fontweight','bold');ylabel('[ - ]','Fontsize',12,'Fontweight','bold');
title('results of Symmetric DTW algorithm','Fontsize',12,'Fontweight','bold');
legend('Sample','Reference',4);

end