function c_name = machine
%   c_name = machine;
%
%   Purpose:
%   Returns the machine name for a PC running
%   Win95/98, NT4.0 or Win 2000.
%
%   Output:
%   c_name  - character string
%             Name of computer.
%
%   ====================================================================
%   Copyright (c)   Dr. Ben Quine, Dept. of Physics,
%                   University of Toronto, 23-MAY-2000.
%   ====================================================================
%
if (isempty(findstr(computer,'PCWIN')))
   error('Not a PC Windows machine. Cannot determine computer name.')
end

% Finding the computer name (win 95/98)
[status, c_name]=dos('net config');
nameind = findstr(c_name,'\\');
if ( isempty(nameind) )
  % Finding the computer name (win NT4.0, win 2000)
    [status, c_name]=dos('net config workstation');
    nameind = findstr(c_name,'\\');
end 
if ( isempty(nameind) )
   error('Cannot determine computer name.')
end
c_name = c_name(nameind:length(c_name));
nameind = findstr(c_name,char(10));

% Record computer name
c_name = c_name(1:(nameind-1));